Package com.treemap

# Enum Class TreeMapToolTip.ToolTipType

java.lang.Object
java.lang.Enum<TreeMapToolTip.ToolTipType>
com.treemap.TreeMapToolTip.ToolTipType

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeMapToolTip.ToolTipType>`, `Constable`

Enclosing interface:
  `TreeMapToolTip<N,Row,Column,Color,Font>`

public static enum TreeMapToolTip.ToolTipType extends Enum<TreeMapToolTip.ToolTipType>
Tooltip type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Heavyweight`
  Use a heavyweight AWT component as a container for the tooltip.
  `Lightweight`
  Use a lightweight Swing component as a container for the tooltip.
  `Painted`
  Paint tooltip as part of the rendering of the TreeMapView.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TreeMapToolTip.ToolTipType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TreeMapToolTip.ToolTipType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Heavyweight

    public static final TreeMapToolTip.ToolTipType Heavyweight
    Use a heavyweight AWT component as a container for the tooltip.

  - ### Lightweight

    public static final TreeMapToolTip.ToolTipType Lightweight
    Use a lightweight Swing component as a container for the tooltip.

  - ### Painted

    public static final TreeMapToolTip.ToolTipType Painted
    Paint tooltip as part of the rendering of the TreeMapView.

- ## Method Details

  - ### values

    public static TreeMapToolTip.ToolTipType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TreeMapToolTip.ToolTipType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null